public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O
@ 2017-07-31  4:28 Eryu Guan
  2017-07-31  4:28 ` [PATCH 2/2] common/xfs: add iomap_dio_actor() to the dmesg filter Eryu Guan
  2017-08-03 11:53 ` [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O Brian Foster
  0 siblings, 2 replies; 4+ messages in thread
From: Eryu Guan @ 2017-07-31  4:28 UTC (permalink / raw)
  To: fstests; +Cc: linux-xfs, Eryu Guan

generic/224 is doing concurrent direct and buffered I/O to the same
set of files, and this triggers some expected warnings on XFS. So
filter out these warnings just like what we did in generic/095 and
generic/247.

Signed-off-by: Eryu Guan <eguan@redhat.com>
---
 tests/generic/224 | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/generic/224 b/tests/generic/224
index 2c30a75258f3..29b1c05d06df 100755
--- a/tests/generic/224
+++ b/tests/generic/224
@@ -82,5 +82,14 @@ for i in `seq 0 1 $FILES`; do
 done
 wait
 echo "*** Silence is golden ***"
-status=0
+
+# unmount and check dmesg, filtering out expected XFS warnings about mixed
+# direct and buffered I/O
+_scratch_unmount
+if [ "$FSTYP" == "xfs" ]; then
+	_check_dmesg _filter_xfs_dmesg
+else
+	_check_dmesg
+fi
+status=$?
 exit
-- 
2.13.3


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2017-08-03 11:54 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-07-31  4:28 [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O Eryu Guan
2017-07-31  4:28 ` [PATCH 2/2] common/xfs: add iomap_dio_actor() to the dmesg filter Eryu Guan
2017-08-03 11:54   ` Brian Foster
2017-08-03 11:53 ` [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O Brian Foster

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox